Loading...
Searching...
No Matches
pcl::search::FlannSearch< PointT, FlannDistance >::KMeansIndexCreator Class Reference

Creates a FLANN KdTreeSingleIndex from the given input data. More...

`#include <pcl/search/flann_search.h>`

Inheritance diagram for pcl::search::FlannSearch< PointT, FlannDistance >::KMeansIndexCreator:

## Public Member Functions

| KMeansIndexCreator ()=default
| All FLANN kd trees created by this class will have a maximum of max_leaf_size points per leaf node.
virtual | ~KMeansIndexCreator ()=default
| Empty destructor.
virtual IndexPtr | createIndex (MatrixConstPtr data)
| Create a FLANN Index from the input data.
Public Member Functions inherited from pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator
virtual | ~FlannIndexCreator ()=default
| destructor

## Detailed Description

template<typename PointT, typename FlannDistance = flann::L2_Simple <float>>
class pcl::search::FlannSearch< PointT, FlannDistance >::KMeansIndexCreator

Creates a FLANN KdTreeSingleIndex from the given input data.

Definition at line 168 of file flann_search.h.

## Constructor & Destructor Documentation

## KMeansIndexCreator()

template<typename PointT , typename FlannDistance = flann::L2_Simple <float>>

pcl::search::FlannSearch< PointT, FlannDistance >::KMeansIndexCreator::KMeansIndexCreator | ( |  | ) |

default

All FLANN kd trees created by this class will have a maximum of max_leaf_size points per leaf node.

Higher values make index creation cheaper, but search more costly (and the other way around).

## ~KMeansIndexCreator()

template<typename PointT , typename FlannDistance = flann::L2_Simple <float>>

virtual pcl::search::FlannSearch< PointT, FlannDistance >::KMeansIndexCreator::~KMeansIndexCreator | ( |  | ) |

virtual default

Empty destructor.

## Member Function Documentation

## createIndex()

template<typename PointT , typename FlannDistance >

pcl::search::FlannSearch< PointT, FlannDistance >::IndexPtr pcl::search::FlannSearch< PointT, FlannDistance >::KMeansIndexCreator::createIndex | ( | MatrixConstPtr | data | ) |

virtual

Create a FLANN Index from the input data.

Parameters

  [in] | data | The FLANN matrix containing the input.

Returns
  The FLANN index.

Implements pcl::search::FlannSearch< PointT, FlannDistance >::FlannIndexCreator.

Definition at line 63 of file flann_search.hpp.

The documentation for this class was generated from the following files:

- pcl/search/flann_search.h
- pcl/search/impl/flann_search.hpp